loci.plugins.in

## Class SeriesDialog

- java.lang.Object
- - loci.plugins.prefs.OptionsDialog
  - - loci.plugins.in.ImporterDialog
    - - loci.plugins.in.SeriesDialog

- All Implemented Interfaces:
    java.awt.event.ActionListener, java.util.EventListener

      public class SeriesDialog
      extends ImporterDialog
      implements java.awt.event.ActionListener

  Bio-Formats Importer series chooser dialog box.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.awt.Checkbox[]` | `boxes`
    `static int` | `MAX_COMPONENTS`
    `static int` | `MAX_SERIES_THUMBS`
    `static int` | `MAX_SERIES_TOGGLES`
    `private java.awt.Panel[]` | `p`
    `private BufferedImageReader` | `thumbReader`

    - ### Fields inherited from class loci.plugins.in.ImporterDialog

      `options, process`

    - ### Fields inherited from class loci.plugins.prefs.OptionsDialog

      `IS_GLITCHED, optionsList, STATUS_CANCELED, STATUS_FINISHED, STATUS_OK`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SeriesDialog(ImportProcess process)` Creates a series chooser dialog for the Bio-Formats Importer.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `actionPerformed(java.awt.event.ActionEvent e)`
    `protected ij.gui.GenericDialog` | `constructDialog()`
    `protected boolean` | `displayDialog(ij.gui.GenericDialog gd)` Displays the dialog, or grabs values from macro options.
    `protected boolean` | `harvestResults(ij.gui.GenericDialog gd)`
    `protected boolean` | `needPrompt()`
    `private void` | `rebuildDialog(ij.gui.GenericDialog gd, int buttonRow)`
    `private void` | `updateIfGlitched()`

    - ### Methods inherited from class loci.plugins.in.ImporterDialog

      `showDialog`

    - ### Methods inherited from class loci.plugins.prefs.OptionsDialog

      `addCheckbox, addChoice, sleep`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MAX_COMPONENTS

          public static final int MAX_COMPONENTS

      See Also:
        Constant Field Values

    - #### MAX_SERIES_THUMBS

          public static final int MAX_SERIES_THUMBS

      See Also:
        Constant Field Values

    - #### MAX_SERIES_TOGGLES

          public static final int MAX_SERIES_TOGGLES

      See Also:
        Constant Field Values

    - #### thumbReader

          private BufferedImageReader thumbReader

    - #### p

          private java.awt.Panel[] p

    - #### boxes

          private java.awt.Checkbox[] boxes

  - ### Constructor Detail

    - #### SeriesDialog

          public SeriesDialog(ImportProcess process)

      Creates a series chooser dialog for the Bio-Formats Importer.

  - ### Method Detail

    - #### needPrompt

          protected boolean needPrompt()

      Specified by:
        `needPrompt` in class `ImporterDialog`

    - #### constructDialog

          protected ij.gui.GenericDialog constructDialog()

      Specified by:
        `constructDialog` in class `ImporterDialog`

    - #### displayDialog

          protected boolean displayDialog(ij.gui.GenericDialog gd)

      Description copied from class: `ImporterDialog`
      Displays the dialog, or grabs values from macro options.
      Overrides:
        `displayDialog` in class `ImporterDialog`

    - #### harvestResults

          protected boolean harvestResults(ij.gui.GenericDialog gd)

      Specified by:
        `harvestResults` in class `ImporterDialog`

    - #### actionPerformed

          public void actionPerformed(java.awt.event.ActionEvent e)

      Specified by:
        `actionPerformed` in interface `java.awt.event.ActionListener`

    - #### updateIfGlitched

          private void updateIfGlitched()

    - #### rebuildDialog

          private void rebuildDialog(ij.gui.GenericDialog gd,
                                     int buttonRow)

Copyright © 2026 Open Microscopy Environment